
Figure - Bug #116883
【AF】【EVT3】【ST】【Display】【偶现】使用稳压电源进行过压保护测试断电后，重新上电，开机后出显
示一个动态画面
2023-03-11 15:19 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-03-11

Priority: Normal Due date: 2023-03-17

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0081

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version: 2023-03-17

Test Type: ST Root cause: 编码问题

Description

【前提条件】

使用稳压电源上电

【测试步骤】

1. 设备正常开机

2. 升压至16.8V

3. 查看设备情况

4. 重上上电

【预期结果】

4 设备正常工作

【实际结果】

4 开机动画出现后，出现一个动态画面

Related issues:

Related to Figure - Bug # 116878: 【AF】【EVT3】【ST】【屏保】【偶现】M... CLOSED 2023-03-10 2023-03-17

History

#1 - 2023-03-13 10:05 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CD FW 曹覃刚

#2 - 2023-03-14 11:39 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD APP-王营

Hi 王营

■ 我的分析

根据日志推测是由MCUUtil启动了此画面

■ 下一步解析计划

请帮忙在MCUUtil中过滤SystemUI，并添加存储和启动的日志，感谢

src/com/android/launcher3/util/MCUUtil.java
#3 - 2023-03-16 16:18 - CD APP-王营

■ Current conclusion

问题已处理，验证中

■ My analysis

在压测过程中，触发过压保护之前保存了SystemUI的包名和Activity的名称，过压保护重启后此页面被拉起，SystemUI在过压保护的需求中是不需要保存

的，结合当前业务场景，如果启动页面为SystemUI则存入空页面。

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/187146

#4 - 2023-03-16 16:19 - CD APP-王营

- % Done changed from 0 to 50

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

#5 - 2023-03-16 19:45 - CD APP-王营

- Due date set to 2023-03-17

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to 移动测试一组_CDTS 刘强

- % Done changed from 50 to 100

- Fixed Version set to 2023-03-17

- Root cause set to 编码问题

#6 - 2023-03-21 09:58 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303191230

验证结果：验证10次，未复现

#7 - 2023-03-21 09:58 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

test.txt 2.61 MB 2023-03-11 移动测试一组_CDTS 刘强

20230311-151427.png 2.23 MB 2023-03-11 移动测试一组_CDTS 刘强
